Skip to main content
GET
/
indexer
/
nft
/
v1
/
tokens
/
by_collection
/
{collection_addr}
Get NFT tokens by collection
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_collection/{collection_addr}
import requests

url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_collection/{collection_addr}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/nft/v1/tokens/by_collection/{collection_addr}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "tokens": [
    {
      "collection_addr": "<string>",
      "collection_name": "<string>",
      "collection_origin_name": "<string>",
      "object_addr": "<string>",
      "owner": "<string>",
      "nft": {
        "token_id": "<string>",
        "uri": "<string>"
      },
      "height": 123,
      "timestamp": "<string>"
    }
  ],
  "pagination": {
    "previous_key": "<string>",
    "next_key": "<string>",
    "total": "<string>"
  }
}

Path Parameters

collection_addr
string
required

The collection address.

Query Parameters

token_id
string

Filter by token ID.

order_by
enum<string>
default:token_id

Field to order results by. Options: token_id, height.

Available options:
token_id,
height
pagination.key
string

Cursor key for pagination.

pagination.offset
integer

Number of records to skip.

pagination.limit
integer
default:100

Maximum number of records to return. Defaults to 100.

pagination.count_total
boolean
default:true

Whether to return the total count. Defaults to true.

pagination.reverse
boolean
default:true

When true, returns results in descending order. Defaults to true.

Response

200 - application/json

Successful response

tokens
object[]
pagination
object

Pagination metadata for list responses.